Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg.soap.wsat
Class WsatHttpTransport

    java.lang.Object
      com.atomikos.icatch.msg.AbstractTransport
          com.atomikos.icatch.msg.HttpTransport
              com.atomikos.icatch.msg.soap.wsat.WsatHttpTransport

All Implemented Interfaces:
  RecoverableResource, Transport

    public class WsatHttpTransport

extends HttpTransport

Field Summary
`static String` | `COORDINATOR_SERVICE_PATH` Local URL path of the coordinator service (starts with context root).
`static String` | `PARTICIPANT_SERVICE_PATH` Local URL path of the participant service (starts with context root).
`static String` | `REG_REQUESTER_SERVICE_PATH` Local URL path of the registration requestor service (starts with context root).
`static String` | `REGISTRATION_SERVICE_PATH` Local URL path of the registration service (starts with context root).
`static String` | `WSAT_FAULT_SERVICE_PATH` Local URL path of the WSAT fault service (starts with context root).
`static String` | `WSC_FAULT_SERVICE_PATH` Local URL path of the WSC fault service (starts with context root).

Fields inherited from class com.atomikos.icatch.msg.HttpTransport
`CONTEXT_ROOT`

Fields inherited from interface com.atomikos.icatch.msg.Transport
`FTP, HTTP, JMS, SMTP, UNKNOWN_PROTOCOL`

Method Summary
`String` | `getRegistrationRequesterServiceURL()`
`String` | `getRegistrationServiceURL()`
`static HttpTransport` | `getSingleton()` Get the singleton instance.
`String` | `getWsatFaultServiceURL()`
`String` | `getWscFaultServiceURL()`
`static void` | `init(String name, long defaultTimeout)` Initialize the transport.

Methods inherited from class com.atomikos.icatch.msg.HttpTransport
`createURL, getPort, getServerIpAddress, initialize, replyReceived, requestReceived, useSecureHttp`

Methods inherited from class com.atomikos.icatch.msg.AbstractTransport
`close, createCommitMessage, createErrorMessage, createForgetMessage, createPreparedMessage, createPrepareMessage, createPrepareMessage, createRegisteredMessage, createRegisterMessage, createReplayMessage, createRollbackMessage, createStateMessage, endRecovery, getCommitProtocol, getCoordinatorAddress, getDefaultTimeout, getFormat, getName, getParticipantAddress, getTransportProtocol, isClosed, isSameRM, recover, registerMessageListener, registerMessageListener, removeMessageListener, send, sendAndReceive, setRecoveryService, setSenderPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARTICIPANT_SERVICE_PATH

    public static final String PARTICIPANT_SERVICE_PATH

  Local URL path of the participant service (starts with context root). The complete URL is obtained by prepending the HTTP server's address.

  See Also:
    Constant Field Values

### COORDINATOR_SERVICE_PATH

    public static final String COORDINATOR_SERVICE_PATH

  Local URL path of the coordinator service (starts with context root). The complete URL is obtained by prepending the HTTP server's address.

  See Also:
    Constant Field Values

### REGISTRATION_SERVICE_PATH

    public static final String REGISTRATION_SERVICE_PATH

  Local URL path of the registration service (starts with context root). The complete URL is obtained by prepending the HTTP server's address.

  See Also:
    Constant Field Values

### WSAT_FAULT_SERVICE_PATH

    public static final String WSAT_FAULT_SERVICE_PATH

  Local URL path of the WSAT fault service (starts with context root). The complete URL is obtained by prepending the HTTP server's address.

  See Also:
    Constant Field Values

### WSC_FAULT_SERVICE_PATH

    public static final String WSC_FAULT_SERVICE_PATH

  Local URL path of the WSC fault service (starts with context root). The complete URL is obtained by prepending the HTTP server's address.

  See Also:
    Constant Field Values

### REG_REQUESTER_SERVICE_PATH

    public static final String REG_REQUESTER_SERVICE_PATH

  Local URL path of the registration requestor service (starts with context root). The complete URL is obtained by prepending the HTTP server's address.

  See Also:
    Constant Field Values

Method Detail

### init

    public static void init(String name,
                            long defaultTimeout)

  Initialize the transport. Overrides any previous initialization!

  Parameters:
    `name` -
    `defaultTimeout` -

### getSingleton

    public static HttpTransport getSingleton()

  Get the singleton instance.

  Returns:
    The singleton, or null if not initialized.

### getRegistrationServiceURL

    public String getRegistrationServiceURL()

### getWsatFaultServiceURL

    public String getWsatFaultServiceURL()

### getWscFaultServiceURL

    public String getWscFaultServiceURL()

### getRegistrationRequesterServiceURL

    public String getRegistrationRequesterServiceURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.